GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Fields
grpc_ioreq_data Union Reference

`#include <call.h>`

## Data Fields
grpc_metadata_array * | recv_metadata
grpc_byte_buffer ** | recv_message
struct {
void(* set_value )(grpc_status_code status, void *user_data)
void * user_data
} | recv_status
struct {
char ** details
size_t * details_capacity
} | recv_status_details
struct {
size_t count
grpc_metadata * metadata
} | send_metadata
grpc_byte_buffer * | send_message
struct {
grpc_status_code code
grpc_mdstr * details
} | send_status

## Field Documentation

grpc_status_code grpc_ioreq_data::code

size_t grpc_ioreq_data::count

char** grpc_ioreq_data::details

grpc_mdstr* grpc_ioreq_data::details

size_t* grpc_ioreq_data::details_capacity

grpc_metadata* grpc_ioreq_data::metadata

grpc_byte_buffer** grpc_ioreq_data::recv_message

grpc_metadata_array* grpc_ioreq_data::recv_metadata

struct { ... } grpc_ioreq_data::recv_status

struct { ... } grpc_ioreq_data::recv_status_details

grpc_byte_buffer* grpc_ioreq_data::send_message

struct { ... } grpc_ioreq_data::send_metadata

struct { ... } grpc_ioreq_data::send_status

void(* grpc_ioreq_data::set_value)(grpc_status_code status, void *user_data)

void* grpc_ioreq_data::user_data

The documentation for this union was generated from the following file:

- src/core/surface/call.h